View Issue Details

IDProjectCategoryView StatusLast Update
0015157MediaMonkey 5Now Playingpublic2019-04-12 14:45
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status feedbackResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015157: Now Playing list view
DescriptionWhen the user switching to Now Playing view, there's no Tracklist view (i.e. a view that allows users to edit metadata of currently playing tracks).

Such a view should be added (to the available NP views).
TagsNo tags attached.
Fixed in build2168

Relationships

related to 0015058 resolvedrusty Playback: Ability to play Video files in "Now Playing" view 
related to 0015048 feedbackmichal Video Playback: Enhancements 

Activities

jiri

2018-10-16 07:27

administrator   ~0051344

NP views are meant to be immersive, I think that the NP related operations rather belong to the NP List. It currently offers only the simplified view, which isn't intended for editing, so I wonder whether rather to add a NP list menu switch to let user to show any kind of view, including e.g. artwork+tracklist, etc.

rusty

2018-10-25 01:28

administrator   ~0051443

From my perspective there's no need to separate 'immersive' Now Playing from regular Now Playing. For example, in Android, the user just clicks the Album Art image to open 'immersive' now playing, and then taps the 'list' button to toggle to the list view. The difference in this case is that MMW/5 has extra space for a partial NP list, so we need a logical way of switching between:
1) Various views + NP list (summary view)
2) NP
a) list detailed view ( list view / Album & tracks view)
b) immersive (Default / ?Default + List? / Lyrics / Artist Bio)

Challenges:
- users expect to navigate the database via the Tree / Nodes in the tracklist / Breadcrumbs. So it would be a bit confusing if those access points didn't give them access to the NP list.
- the button(s) to toggle between immersive and regular Now Playing must always be accessible (e.g. they cannot depend on the presence of the right-hand column)

Note: I'm assuming that 'Now Playing List' refers to the right-hand column

Suggestion:
A)i) Clicking 'Now Playing' via the Tree / Nodes in the tracklist OR the NP Header --> Opens the NP detailed list view (?and makes no changes to the right-hand column since the Art&Details window is still needed?)
. ii) Clicking the Now Playing AA & metadata (either in the Player [?implies that we require this by default?] OR in the A&D _Playing_ dialog [Not ideal since users may not have this enabled/displayed) --> Opens NP Immersive view and changes the Now Playing AA in the Player to a NP List icon.

B) Once in the NP view:
i) Exit NP via: clicking the Back button or Home Button
ii) Toggle to immersive: same as Aii) above
iii) Toggle to list view: click the NP List icon in the Player that appears in immersive mode

note: In this scheme, the only buttons that are guaranteed to be shown are NP AA in the Player, List icon in the Player, Back button and work pretty much the same as in MMA. All other paths to the described functionality are for convenience.

jiri

2018-10-25 09:10

administrator   ~0051449

I wonder whether all the issues wouldn't be resolved by changing the immersive move NP views to Visualizations. This would probably require some minor changes to how visualization works, its invocation etc. We could dedicate the NP tree node back to the full NP list (not sure whether to make the tree node visible be default, is the list that important?).

rusty

2018-11-22 03:51

administrator  

1 Playlist view.png (86,273 bytes)
1 Playlist view.png (86,273 bytes)
2 NP list view.png (151,452 bytes)
2 NP list view.png (151,452 bytes)
3 NP Album View.png (163,998 bytes)
3 NP Album View.png (163,998 bytes)
4 NP Visualization.png (80,941 bytes)
4 NP Visualization.png (80,941 bytes)

jiri

2018-11-28 10:11

administrator   ~0051634

On further review of the issue, I'd say the we should really unite NP views, visualization and also video playback, but slightly differently. The current implementation of visualization and video playback is good imho, as the small (A&D) window works well for a background playback where the rest of MM5 UI is still available for media management, and then the full-window and full-screen modes are obviously useful for casual content consumption.

Since NP views have very similar use-cases, I think that they should have a very similar workflow, i.e. to be able to be shown as a part of A&D window and then maximized as needed. This would result of Now Playing tree node being available for an ordinary NP list, the same as we have in MM4. I'd make the node hidden by default, since it isn't useful for most of users, imho.

rusty

2018-11-29 19:01

administrator  

Preview_window_2.jpg (92,243 bytes)
Preview_window_2.jpg (92,243 bytes)
preview_window_update.jpg (89,953 bytes)
preview_window_update.jpg (89,953 bytes)

michal

2019-02-26 18:21

developer   ~0052811

Per offline discussion, we will not change basic behavior of NP view, as layout in small art window will always be different from bigger NP view.
"List" layout of NP view added to build 2163. This should cover possibility of adjustable displaying of current NP list with in-place editing.

rusty

2019-03-08 02:19

administrator   ~0052910

Tested 2165, and it's working well except that the 'Playing' list is duplicated (i.e. it appears a second time in the right-hand column). Ideally, when the user chooses to display the 'list' view, the Playing list shouldn't appear . i.e. this 'List' view should be a custom (configurable) view that by default:
- Contains a list
- Contains in the right column the A&D window (but not the NP list).

Can this adjustment be easily made?

michal

2019-03-11 13:42

developer   ~0052932

Fixed in build 2166.

peke

2019-03-16 02:54

developer   ~0052986

Verified 2166

All mockup elements are there, and NP list do not appear.

rusty

2019-03-19 21:00

administrator   ~0053020

Tested 2166, and the NP view looks good, however, there are a couple of issues:
1) View switching doesn't work as expected. i.e.
. 1 in Music, collapse the Right column
. 2 Switch to Audiobooks
--> Column remains collapsed (as expected)
. 3 Switch to Playing (list view)
--> Column displays (as expected)
. 4 Switch to Music
--> Column re-appears (it shouldn't)!!!
. 5 Switch to Playing (list view)
. 6 Collapse the right column
. 7 Switch to Music
. 8 Switch back to Playing (list view)
--> Column re-appears (it shouldn't)!!!
The column settings for the Playing view should be independent of other views.

2) Switching views within list view causes the right column to appear. e.g.
 . 1 Switch to Playing 'Default'
--> view appears (normally without the right column)
. 2 Switch to Playing 'List'
. 3 Switch to Playing 'Default'
--> view appears (with the right column)!!!
. 4 Switch to Playing 'Default + list'
--> view appears with 2 columns (one from the view + one from the column)!!!

3) I would suggest renaming/simplifying the views as follows (in this order):
a) Default + List --> Album Art (show a toggle for the list (or better yet, use the right-column toggle) in the upper right corner to enable/disable the column so that two different views aren't required)
b) List
c) Artist Bio
d) Lyrics

4) Tweaks to Artist Bio view:
a) display more of the wikipedia entry (e.g. allow the column to fill the available vertical space)
b) improve the image lookup algorithm (e.g. use the same one that's used for finding Artist Images in the Artists view). Currently, the Artist 'Stick Figure' shows a bunch of stick figures instead of images of the Artist.

michal

2019-03-19 21:18

developer   ~0053022

Re "The column settings for the Playing view should be independent of other views." - "Playing view" is in fact only the middle part, the left column with tree (by default) and the right column with NP list and artwork (by default) is different part of our layout, this can be set in Options - Library - Layout. You say, that we should have two Layout settings, one when is Playing view displayed and then another? Otherwise I am not sure how to set this to be not confusing.

rusty

2019-03-22 16:22

administrator   ~0053067

1) & 2) Perhaps the best way to approach this is to review the desired options and requirements:
a) Album Art (List only in column/Hidden)
b) List (Art & Details only in column/Hidden)
c) Artist Bio (List + Art & Details in column/Hidden)
d) Lyrics (List + Art & Details [w/o lyrics] in column/Hidden)

e) In all cases, whether a column is hidden or not in Now Playing views should be independent of whether it is hidden or not for other views (besides Now Playing).

With the above in mind, I guess that one way of achieving the above would be to create a second layout for 'Now Playing' (assuming that this allows all of the above needs to be met; I'm not really clear on how the user configures [or whether it's even possible] a column to display differently for each of the Now Playing views [since all 4 instances of the column are slightly different]--would 4 additional layouts be required rather than one extra layout?).

michal

2019-03-28 14:40

developer   ~0053122

Last edited: 2019-03-28 18:16

View 3 revisions

Fixed in build 2168:
1) docks/panels visibility setting when NP view is displayed is independent now, so user can set what should be displayed for NP view (e.g. hide NP list) and separately what for the rest. It is common setting for all NP view layouts. Automatic hiding is removed, it would collide with user setting. I think specific dock/panels visibility for every NP view layout would be confusing and needlessly complicated, user now simply choose NP view layout, set visibility of panels (like art window, NP list, tree) and this setting persists.
2) fixed
3) fixed, NP list can be displayed by View -> Playing.
4) a) is is already possible, just click "More" in the bottom right corner

michal

2019-03-28 18:15

developer   ~0053124

4) b) improved in 2168. Note, search results still could differ from artist view, because NP view needs larger images, so e.g. small images from Discogs are not suitable. And artists with names with such common meaning could sometimes contain wrong images. We can improve search results only individually for given artist, not generally.

rusty

2019-04-12 14:45

administrator   ~0053198

All but the following are fixed. Assigning to Jiri for feedback, since it may affect view handling in general:

1)&2)
a)/c)/d) Album Art/Artist Bio/Lyrics: should ideally display with the tree collapsed (in the default setting)
b) As previously discussed, List should display without a duplicate 'Playing' list showing (though it should show the A&D content)
btw, another possible solution would be to have one setting for all NP views except for NP List view which has it's own settings.
Note: if this is too complex we can track this in a new bug and defer to 5.0.1.

5) Manage Views allows the user to configure all four NP views, except it offers no meaningful configuration. If we fix 1)&2) above as proposed, then meaningful settings should display. Otherwise there's no reason for this config option to display for these views.